<#-- 
  Copyright (c) 2014 NIBIO <http://www.nibio.no/>. 
  
  This file is part of VIPSLogic.
  VIPSLogic is free software: you can redistribute it and/or modify
  it under the terms of the NIBIO Open Source License as published by 
  NIBIO, either version 1 of the License, or (at your option) any
  later version.
  
  VIPSLogic is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  NIBIO Open Source License for more details.
  
  You should have received a copy of the NIBIO Open Source License
  along with VIPSLogic.  If not, see <http://www.nibio.no/licenses/>.
--><#include "master.ftl">
<#macro page_head>
        <title>${organism.getLocalName(currentLocale.language)!""}<#if organism.tradeName?has_content> / ${organism.tradeName}</#if> (${organism.latinName!""})</title>
</#macro>

<#macro page_contents>
<div class="singleBlockContainer">
        <h1>${organism.getLocalName(currentLocale.language)!""}/${organism.tradeName!""}/${organism.latinName!""}</h1>
        <dl class="dl-horizontal">
        
          <#if parentOrganism?has_content>
          <dt>${i18nBundle.parentOrganismId}</dt>
	  <dd><a href="/organism?action=viewOrganism&organismId=${parentOrganism.organismId}">${parentOrganism.getLocalName(currentLocale.language)!""}/${parentOrganism.tradeName!""}/${parentOrganism.latinName!""}</a></dd>
	  </#if>
	  
	  
	  <dt>${i18nBundle.latinName}</dt>
	  <dd>${organism.latinName!""}</dd>
	  
	  <dt>${i18nBundle.tradeName}</dt>
	  <dd>${organism.tradeName!""}</dd>
	  
	  <dt>${i18nBundle.localName} (${currentLocale.getDisplayLanguage(currentLocale)})</dt>
	  <dd>${organism.getLocalName(currentLocale.language)!""}</dd>
	  
	  <dt>${i18nBundle.hierarchyCategoryId}</dt>
	  <dd>${hierarchyCategories.getName(organism.hierarchyCategoryId)}</dd>
	  
	  <dt>${i18nBundle.externalResources}</dt>
	  <dd>
	  <#list organism.organismExternalResourceSet as organismExternalResource>
	  <a href="${organismExternalResource.resourceUrl}" target="new">${organismExternalResource.externalResource.name}</a><br/>
	  </#list>
	  </dd>
	  
	</dl>
	<#if user.isSuperUser() || user.isOrganismEditor()>
	<a href="/organism?action=editOrganismForm&organismId=${organism.organismId}" class="btn btn-default" role="button">${i18nBundle.edit}</a>
	</#if>
	<a href="/organism?action=listChildOrganisms&organismId=${organism.parentOrganismId!"null"}" class="btn btn-default" role="button">${i18nBundle.back}</a>
</div>
</#macro>
<@page_html/>
